.header {
    padding: 50px 16px;
    width: 100vw;
    position: absolute;
    top: 0;
    left: 0;
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.header-right {
    /* Usually we don't need to write vendor prefixes for all values, do that if you know that it is needed (like "mask" property)
    OR if you've noticed that markup is bad in some browsers, like Safari
    Don't overhead-write with prefixes, it is redundant, and usually this is done by webpack, vite, gulp etc.
    */
    display: flex;
    align-items: center;
}

.header__burger {
    width: 40px;
    height: 30px;
    cursor: pointer;
    display: none;
    position: relative;
}

.burger__line {
    width: 40px;
    height: 6px;
    background: -o-linear-gradient(359.74deg, #AA80FF 0.21%, rgba(160, 113, 255, 0.65) 97.38%);
    background: linear-gradient(90.26deg, #AA80FF 0.21%, rgba(160, 113, 255, 0.65) 97.38%);
    border-radius: 3px;
    position: absolute;
    top: 12px;
    transition: all 0.3s ease-in;
}

.burger__line::before {
    content: "";
    width: 100%;
    height: 100%;
    background: -o-linear-gradient(359.74deg, #AA80FF 0.21%, rgba(160, 113, 255, 0.65) 97.38%);
    background: linear-gradient(90.26deg, #AA80FF 0.21%, rgba(160, 113, 255, 0.65) 97.38%);
    border-radius: 3px;
    position: absolute;
    top: -12px;
    transition: all 0.3s ease-in;
}

.burger__line::after {
    content: "";
    width: 100%;
    height: 100%;
    background: -o-linear-gradient(359.74deg, #AA80FF 0.21%, rgba(160, 113, 255, 0.65) 97.38%);
    background: linear-gradient(90.26deg, #AA80FF 0.21%, rgba(160, 113, 255, 0.65) 97.38%);
    border-radius: 3px;
    position: absolute;
    bottom: -12px;
    transition: all 0.3s ease-in;
}
